<?php

namespace App\Mobile\Synchronization\Controllers;

use App\Mobile\Synchronization\Resources\SyncSalesResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Schaffen\Core\Movement\Repositories\SalesRepository;
use Schaffen\Core\Movement\Managers\SalesManager;

class SyncSalesController extends CrudController
{
    protected $resource = SalesResource::class;

    public function __construct(SalesManager $manager, SalesRepository $repository)
    {
        parent::__construct($manager, $repository);
    }

    public function vendasPorVendedor(){
        $user = auth()->user();
        return SyncSalesResource::collection($this->manager->ultimasVendas($user));
    }
}
