<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncFormResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "form_codigo" => $this->form_codigo,
            "form_nome" => $this->form_nome,
            "form_descricao" => $this->form_descricao,
            "fields" => SyncFormFieldResource::collection($this->fields)
        ];
    }
}
