<?php

namespace App\Mobile\Synchronization\Controllers;


use App\Mobile\Synchronization\Resources\SyncClientResource;
use App\Mobile\Synchronization\Resources\SyncStoreOrUpdateClientResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Illuminate\Http\Request;
use Schaffen\Core\Person\Managers\ClientManager;
use Schaffen\Core\Person\Managers\PersonManager;
use Schaffen\Core\Person\Repositories\PersonRepository;


class SyncClientController extends CrudController
{
    protected $resource = SyncStoreOrUpdateClientResource::class;

    public function __construct(ClientManager $manager, PersonRepository $repository)
    {
        parent::__construct($manager, $repository);
        $this->manager = $manager;
        $this->repository = $repository;

    }


}
